%bcond_with qt6

Summary:        Adwaita theme for Qt-based applications
Name:           adwaita-qt
Version:        1.4.2
Release:        4%{?dist}
License:        LGPLv2+ and GPLv2+

Url:            https://github.com/FedoraQt/adwaita-qt
Source0:        https://github.com/FedoraQt/adwaita-qt/archive/%{version}/adwaita-qt-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  libxcb-devel

Requires:       (adwaita-qt5 if qt5-qtbase)
%if %{with qt6}
Requires:       (adwaita-qt6 if qt6-qtbase)
%endif

%description
A native style to bend Qt5/Qt6 applications to look like they belong into GNOME Shell.

%package -n adwaita-qt5
Summary:        Adwaita Qt5 theme
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtx11extras-devel
Requires:       libadwaita-qt5 = %{version}-%{release}

%description -n adwaita-qt5
This package provides adwaita theme variant for applications utilizing Qt5.

%package -n libadwaita-qt5
Summary:        Adwaita Qt5 library

%description -n libadwaita-qt5
%{summary}.

%package -n libadwaita-qt5-devel
Summary:        Development files for libadwaita-qt5
Requires:       libadwaita-qt5 = %{version}-%{release}

%description -n libadwaita-qt5-devel
This package provides libraries and header files for developing
applications that use libadwaita-qt5.

%if %{with qt6}
%package -n adwaita-qt6
Summary:        Adwaita Qt6 theme
BuildRequires:  qt6-qtbase-devel
Requires:       libadwaita-qt6 = %{version}-%{release}

%description -n adwaita-qt6
This package provides adwaita theme variant for applications utilizing Qt6.

%package -n libadwaita-qt6
Summary:        Adwaita Qt6 library

%description -n libadwaita-qt6
%{summary}.

%package -n libadwaita-qt6-devel
Summary:        Development files for libadwaita-qt6
Requires:       libadwaita-qt6 = %{version}-%{release}

%description -n libadwaita-qt6-devel
This package provides libraries and header files for developing
applications that use libadwaita-qt6.
%endif

%prep
%autosetup -n %{name}-%{version} -p1

%build
%global _vpath_builddir %{_target_platform}-qt5
%cmake
%cmake_build

%if %{with qt6}
%global _vpath_builddir %{_target_platform}-qt6
%cmake -DUSE_QT6=true
%cmake_build
%endif

%install
%global _vpath_builddir %{_target_platform}-qt5
%cmake_install

%if %{with qt6}
%global _vpath_builddir %{_target_platform}-qt6
%cmake_install

rm -rf %{buildroot}%{_libdir}/pkgconfig/adwaita-qt6.pc
%endif

%files -n adwaita-qt5
%license LICENSE.LGPL2
%doc README.md
%{_qt5_plugindir}/styles/adwaita.so

%files -n libadwaita-qt5
%{_libdir}/libadwaitaqt.so.*
%{_libdir}/libadwaitaqtpriv.so.*

%files -n libadwaita-qt5-devel
%dir %{_includedir}/AdwaitaQt
%{_includedir}/AdwaitaQt/*.h
%dir %{_libdir}/cmake/AdwaitaQt
%{_libdir}/cmake/AdwaitaQt/*.cmake
%{_libdir}/pkgconfig/adwaita-qt.pc
%{_libdir}/libadwaitaqt.so
%{_libdir}/libadwaitaqtpriv.so

%if %{with qt6}
%files -n adwaita-qt6
%{_qt6_plugindir}/styles/adwaita.so

%files -n libadwaita-qt6
%{_libdir}/libadwaitaqt6.so.*
%{_libdir}/libadwaitaqt6priv.so.*

%files -n libadwaita-qt6-devel
%dir %{_includedir}/AdwaitaQt6
%{_includedir}/AdwaitaQt6/*.h
%dir %{_libdir}/cmake/AdwaitaQt
%{_libdir}/cmake/AdwaitaQt6/*.cmake
%{_libdir}/libadwaitaqt6.so
%{_libdir}/libadwaitaqt6priv.so
%endif

%changelog
* Fri May 05 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.2-4
- bump release.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 06 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.2-1
- initial build
